function HostEnhanced_InitBots()
{
	botManagerHostEnhanced.get("ban").load(true);
	botManagerHostEnhanced.setMessageInterface("gamesetup");
	HostEnhanced_InitSharedCommands()
}


autociv_patchApplyN("init", function (target, that, args)
{
	Engine.GetGUIObjectByName("chatText").buffer_zone = 2.01
	
	Engine.GetGUIObjectByName("chatText").size = Object.assign(Engine.GetGUIObjectByName("chatText").size, {
		left: 4, top: 4, bottom: -32
	})
	

	if ( typeof(autociv_InitBots) == "function" ) {
		log("debug gamesetup~HostEnhanced.js:autociv_InitBots function found - initiating - autocivmod enabled");
		autociv_InitBots(); 
	} else {
		log("debug gamesetup~HostEnhanced.js:autociv_InitBots function not found - autociv mod disabled");
	}
	HostEnhanced_InitBots();	

	target.apply(that, args);

	// React to hotkeys
	//for (let hotkey in g_autociv_hotkeys)
	//	Engine.SetGlobalHotkey(hotkey, "Press", g_autociv_hotkeys[hotkey]);

	// React to chat and messages
	for (let type of NetMessages.prototype.MessageTypes)
		g_SetupWindow.controls.netMessages.registerNetMessageHandler(type, msg => botManagerHostEnhanced.react(msg))

	//g_autociv_countdown.init();

	//Engine.GetGUIObjectByName("chatInput").blur();
	//Engine.GetGUIObjectByName("chatInput").focus();
})